새로운 문서를 작성 중입니다.새 문서로 이동
ClawOps Docs
API Reference

배치 목록 조회

GET
/v1/accounts/{accountId}/call-batches

Authorization

BearerAuth
AuthorizationBearer <token>

API Key를 Bearer 토큰으로 전달

In: header

Path Parameters

accountId*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/accounts/AC1a2b3c4d/call-batches"
{
  "callBatches": [
    {
      "batchId": "clx1a2b3c4d5e",
      "name": "7월 예약 확인",
      "status": "draft",
      "from": "07052358010",
      "callFlowId": "string",
      "agentId": "string",
      "url": "string",
      "maxConcurrency": 0,
      "pacingPerMinute": 0,
      "timezone": "string",
      "startAt": "2019-08-24T14:15:22Z",
      "endAt": "2019-08-24T14:15:22Z",
      "machineDetection": "Enable",
      "rounds": [
        {
          "after": 0,
          "on": [
            "string"
          ],
          "windows": [
            {
              "days": [
                0
              ],
              "start": "string",
              "end": "string"
            }
          ]
        }
      ],
      "messagePolicy": {
        "onFirstFail": {
          "body": "string"
        },
        "onFinalFail": {
          "body": "string"
        }
      },
      "warnings": [
        "07052358010 번호로 문자가 전송된 이력이 없습니다. 문자 발신번호 등록은 음성과 별개 절차라, 등록되지 않은 번호는 발송 요청은 성공해도 통신사에서 전량 거절될 수 있습니다."
      ],
      "dateCreated": "2019-08-24T14:15:22Z",
      "dateUpdated": "2019-08-24T14:15:22Z",
      "counts": {
        "pending": 120,
        "dialing": 3,
        "done": 77
      }
    }
  ]
}
{
  "error": "string",
  "code": "recipient_blocked"
}
{
  "error": "string",
  "code": "recipient_blocked"
}